SphinxClient::setGroupBy
SphinxClient::setIDRange
SphinxClient
PHP Manual

# SphinxClient::setGroupDistinct

(No version information available, might be only in CVS)

SphinxClient::setGroupDistinct — Set attribute name for per-group distinct values count calculations

### Opis

public bool SphinxClient::setGroupDistinct ( string `$attribute` )

Sets attribute name for per-group distinct values count calculations. Only available for grouping queries. For each group, all values of `attribute` will be stored, then the amount of distinct values will be calculated and returned to the client. This feature is similar to COUNT(DISTINCT) clause in SQL.

### Parametry

`attribute`

  A string containing group-by attribute name.

### Zwracane wartości

Zwraca `TRUE` w przypadku powodzenia, `FALSE` w przypadku błędu.

### Patrz także

- SphinxClient::setSortMode
- SphinxClient::setGroupBy
- SphinxClient::resetGroupBy

SphinxClient::setGroupBy
SphinxClient::setIDRange
SphinxClient
PHP Manual